Update IP Block

View as Markdown
Update an existing IP Block Org must have an Infrastructure Provider. Specified IP Block must have been created by the Provider and requesting user must have `PROVIDER_ADMIN` role. Only root IP Blocks can be patched. Tenant IP Blocks are managed via Allocation. Unknown IDs, IP Blocks belonging to another Infrastructure Provider, and private IP Block records linked to a `TenantManaged` SitePrefix return 404.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
ipBlockIdstringRequired
ID of the IP Block

Request

This endpoint expects an object.
namestring or nullOptional2-256 characters
Name of the IP Block
descriptionstring or nullOptional
Description of the IP Block

Response

OK
idstringOptionalRead-onlyformat: "uuid"
Unique UUID v4 identifier for the IP Block
namestringOptional2-256 characters
Name of the IP Block
descriptionstring or nullOptional
Description of the IP Block
siteIdstringOptionalformat: "uuid"
ID of the Site
infrastructureProviderIdstringOptionalformat: "uuid"
ID of the Infrastructure Provider
tenantIdstring or nullOptionalformat: "uuid"
ID of the Tenant
routingTypeenumOptional
RoutingType of the IP Block
prefixstringOptional
Either IPv4 or IPv6 address
prefixLengthintegerOptional

Min: 1, Max: 32 for ipv4, 128 for ipv6

protocolVersionenumOptional
Version of the ip network IPv4 or IPv6
usageStatsobjectOptional
Usage summary from IPAM for the IP Block
statusenumOptional
Status of the IP Block
statusHistorylist of objectsOptional
Chronological status history for the IP Block
createddatetimeOptionalRead-only

Date/time when the Ip Block was created

updateddatetimeOptionalRead-only

Date/time when the Ip Block was last updated

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error